<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [EmployedByRequirement](./bitburner.employedbyrequirement.md)

## EmployedByRequirement interface

Player must be working for this company.

**Signature:**

```typescript
interface EmployedByRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [company](./bitburner.employedbyrequirement.company.md) |  | [CompanyName](./bitburner.companyname.md) |  |
|  [type](./bitburner.employedbyrequirement.type.md) |  | "employedBy" |  |

